slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosSetExplicitMatrix

Indicate if the matrix Z=[A;B] must be built explicitly.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetExplicitMatrix(SVD svd,PetscBool explicitmat)

Logically Collective

### Input Parameters

| svd | - singular value solver
| explicitmat | - Boolean flag indicating if Z=[A;B] is built explicitly

### Options Database Key

| -svd_trlanczos_explicitmatrix <boolean> | - Indicates the boolean flag

### Notes

This option is relevant for the GSVD case only. Z is the coefficient matrix of the KSP solver used internally.

### See Also

SVDTRLanczosGetExplicitMatrix()

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c

### Examples

src/svd/tutorials/ex51.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages